org.springframework.data.projection

## Interface TargetAware

All Superinterfaces:
  RawTargetAccess, TargetClassAware

    public interface TargetAware
    extends TargetClassAware, RawTargetAccess

Extension of `TargetClassAware` to be able to ignore the getter on JSON rendering.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<?>` `getDecoratedClass()` Re-declaration of Spring Framework 4.3's `DecoratingProxy.getDecoratedClass()` so that we can exclude it from Jackson serialization.
`Object` `getTarget()` Returns the proxy target.
`Class<?>` `getTargetClass()` Returns the type of the proxy target.

### Method Detail

#### getTargetClass

    @Nullable
    Class<?> getTargetClass()

Returns the type of the proxy target.

Specified by:
  `getTargetClass` in interface `TargetClassAware`
Returns:
  can be null.

#### getTarget

    Object getTarget()

Returns the proxy target.

Returns:
  will never be null.

#### getDecoratedClass

    Class<?> getDecoratedClass()

Re-declaration of Spring Framework 4.3's `DecoratingProxy.getDecoratedClass()` so that we can exclude it from Jackson serialization.

Returns: